
import React from 'react';
import Icon from 'react-icon-base';

const SlMicrophone = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M510.88 256h7.60059c88.96 0 153.52 65.5996 153.52 155.968v381.408c0 93.4404 -67.4404 166.624 -153.536 166.624h-7.58398c-87.6162 0 -158.88 -74.752 -158.88 -166.624v-381.408c0 -88.9121 68.3037 -155.968 158.88 -155.968zM416 793.376 c0 56.5918 42.5596 102.624 94.8799 102.624h7.59961c51.0244 0 89.5205 -44.1279 89.5205 -102.624v-381.408c0 -54.9922 -35.9678 -91.9678 -89.5361 -91.9678h-7.58398c-55.8721 0 -94.8799 37.8076 -94.8799 91.9678zM800 608c-17.6797 0 -32 -14.3359 -32 -32v-133.072 c0 -190.4 -67.9678 -282.929 -207.744 -282.929h-95.1357c-182.8 0 -209.12 153.84 -209.12 282.928v133.072c0 17.6641 -14.3359 32 -32 32s-32 -14.3359 -32 -32v-133.072c0 -220.496 91.8877 -346.928 273.12 -346.928h14.8799v-96h-160c-17.6641 0 -32 -14.3359 -32 -32 s14.3359 -32 32 -32h384c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-160v96h16.2559c123.968 0 271.744 60.1924 271.744 346.929v133.072c0 17.6641 -14.3203 32 -32.0001 32z"/></g>
    </Icon>
);

export default SlMicrophone;
